Bug 858122 - Job matrix doesn't work with sqlalchemy 0.7
Job matrix doesn't work with sqlalchemy 0.7
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.9
Unspecified Unspecified
low Severity unspecified (vote)
: 0.9.4
: ---
Assigned To: Amit Saha
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 22:52 EDT by Dan Callaghan
Modified: 2015-07-26 18:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-11 19:50:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-09-17 22:52:43 EDT
2012-09-18 11:55:37,836 cherrypy.msg INFO HTTP: Page handler: <bound method JobMatrix.index of <bkr.server.job_matrix.JobMatrix instance at 0x4680f80>>
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/CherryPy-2.3.0-py2.7.egg/cherrypy/_cphttptools.py", line 121, in _run
    self.main()
  File "/usr/lib/python2.7/site-packages/CherryPy-2.3.0-py2.7.egg/cherrypy/_cphttptools.py", line 264, in main
    body = page_handler(*virtual_path, **self.params)
  File "<string>", line 3, in index
  File "/usr/lib/python2.7/site-packages/turbogears/controllers.py", line 361, in expose
    *args, **kw)
  File "<generated code>", line 0, in run_with_transaction
  File "/usr/lib/python2.7/site-packages/peak/rules/core.py", line 153, in __call__
    return self.body(*args, **kw)
  File "/usr/lib/python2.7/site-packages/turbogears/database.py", line 458, in sa_rwt
    retval = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/turbogears/controllers.py", line 244, in _expose
    @abstract()
  File "<generated code>", line 0, in _expose
  File "/usr/lib/python2.7/site-packages/peak/rules/core.py", line 153, in __call__
    return self.body(*args, **kw)
  File "/usr/lib/python2.7/site-packages/turbogears/controllers.py", line 390, in <lambda>
    fragment, options, args, kw)))
  File "/usr/lib/python2.7/site-packages/turbogears/controllers.py", line 425, in _execute_func
    output = errorhandling.try_call(func, *args, **kw)
  File "/usr/lib/python2.7/site-packages/turbogears/errorhandling.py", line 77, in try_call
    return func(self, *args, **kw)
  File "/home/dcallagh/work/beaker/Server/bkr/server/job_matrix.py", line 52, in index
    matrix_options['whiteboard_options'] = self.get_whiteboard_options(kw.get('filter'), selected=kw.get('whiteboard'))
  File "/home/dcallagh/work/beaker/Server/bkr/server/job_matrix.py", line 105, in get_whiteboard_options
    query = query.group_by([model.Job.whiteboard]). \
  File "<string>", line 1, in <lambda>
  File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/query.py", line 50, in generate
    fn(self, *args[1:], **kw)
  File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/query.py", line 1253, in group_by
    criterion = self._adapt_col_list(criterion)
  File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/query.py", line 204, in _adapt_col_list
    for o in cols
  File "/usr/lib64/python2.7/site-packages/sqlalchemy/sql/expression.py", line 1409, in _literal_as_text
    "SQL expression object or string expected."
ArgumentError: SQL expression object or string expected.
Comment 1 Amit Saha 2012-09-23 22:44:08 EDT
In Gerrit: http://gerrit.beaker-project.org/#/c/1366/
Comment 3 Dan Callaghan 2012-10-11 19:50:20 EDT
Beaker 0.9.4 has been released.

Note You need to log in before you can comment on or make changes to this bug.